_Auxiliary_Code:
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
NOP	
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
LINK	LR, #4
STI.S	SP, #0, R0
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
NOP	
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
_Write_Text:
; y start address is: 8 (R2)
; x start address is: 4 (R1)
; text start address is: 0 (R0)
MOVE.L	R5, R0
BEXTU.L	R6, R1, #256
BEXTU.L	R7, R2, #256
; y end address is: 8 (R2)
; x end address is: 4 (R1)
; text end address is: 0 (R0)
; text start address is: 20 (R5)
; x start address is: 24 (R6)
; y start address is: 28 (R7)
LDK.L	R2, #0
LDK.L	R1, #33808
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
BEXTU.L	R2, R7, #256
; y end address is: 28 (R7)
BEXTU.L	R1, R6, #256
; x end address is: 24 (R6)
MOVE.L	R0, R5
; text end address is: 20 (R5)
CALL	_TFT_Write_Text+0
L_end_Write_Text:
RETURN	
; end of _Write_Text
_Erase_Text:
; y start address is: 8 (R2)
; x start address is: 4 (R1)
; text start address is: 0 (R0)
MOVE.L	R5, R0
BEXTU.L	R6, R1, #256
BEXTU.L	R7, R2, #256
; y end address is: 8 (R2)
; x end address is: 4 (R1)
; text end address is: 0 (R0)
; text start address is: 20 (R5)
; x start address is: 24 (R6)
; y start address is: 28 (R7)
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
BEXTU.L	R2, R7, #256
; y end address is: 28 (R7)
BEXTU.L	R1, R6, #256
; x end address is: 24 (R6)
MOVE.L	R0, R5
; text end address is: 20 (R5)
CALL	_TFT_Write_Text+0
L_end_Erase_Text:
RETURN	
; end of _Erase_Text
_Volume_Widget_Init:
LINK	LR, #12
STI.L	SP, #8, R0
LDI.L	R2, SP, #8
ADD.L	R1, R2, #2
LDI.S	R1, R1, #0
STI.S	SP, #4, R1
ADD.L	R1, R2, #4
LDI.S	R1, R1, #0
STI.S	SP, #6, R1
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDI.S	R1, SP, #6
ADD.L	R2, R1, #15
LDI.S	R1, SP, #4
ADD.L	R1, R1, #198
BEXTS.L	R3, R2, #0
BEXTS.L	R2, R1, #0
LDI.S	R1, SP, #6
BEXTS.L	R1, R1, #0
LDI.S	R0, SP, #4
BEXTS.L	R0, R0, #0
CALL	_TFT_Rectangle+0
LDK.L	R2, #0
LDK.L	R1, #33808
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
LDI.S	R1, SP, #4
ADD.L	R3, R1, #28
LDI.L	R1, SP, #8
ADD.L	R1, R1, #6
LDI.B	R1, R1, #0
ASHL.L	R2, R1, #2
LDK.L	R1, #_gain_text+0
ADD.L	R1, R1, R2
LDI.L	R1, R1, #0
LDI.S	R2, SP, #6
MOVE.L	R0, R1
BEXTU.L	R1, R3, #0
CALL	_TFT_Write_Text+0
LDI.S	R1, SP, #4
ADD.L	R2, R1, #18
LDI.L	R1, SP, #8
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
BEXTU.L	R0, R1, #0
BEXTU.L	R1, R2, #0
LDI.S	R2, SP, #6
CALL	_TFT_Write_Char+0
LDI.L	R1, SP, #8
LDI.B	R1, R1, #0
CMP.B	R1, #0
JMPC	R30, Z, #1, L_Volume_Widget_Init0
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #33808
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDI.S	R2, SP, #6
ADD.L	R4, R2, #10
LDI.S	R1, SP, #4
ADD.L	R3, R1, #10
ADD.L	R2, R2, #5
ADD.L	R1, R1, #5
BEXTS.L	R0, R1, #0
BEXTS.L	R1, R2, #0
BEXTS.L	R2, R3, #0
BEXTS.L	R3, R4, #0
CALL	_TFT_Rectangle+0
L_Volume_Widget_Init0:
LDK.L	R1, #1
LDK.L	R0, #33808
CALL	_TFT_Set_Pen+0
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDI.S	R1, SP, #6
ADD.L	R3, R1, #15
LDI.S	R1, SP, #4
ADD.L	R2, R1, #195
ADD.L	R1, R1, #97
BEXTS.L	R3, R3, #0
BEXTS.L	R2, R2, #0
BEXTS.L	R0, R1, #0
LDI.S	R1, SP, #6
BEXTS.L	R1, R1, #0
CALL	_TFT_Rectangle+0
LDK.L	R1, #2
LDK.L	R0, #33808
CALL	_TFT_Set_Pen+0
LDI.S	R1, SP, #4
ADD.L	R3, R1, #100
LDI.S	R1, SP, #6
ADD.L	R2, R1, #13
ADD.L	R1, R1, #2
BEXTS.L	R0, R1, #0
BEXTS.L	R1, R2, #0
BEXTS.L	R2, R3, #0
CALL	_TFT_V_Line+0
; i start address is: 16 (R4)
LDK.L	R4, #1
; i end address is: 16 (R4)
BEXTU.L	R0, R4, #256
L_Volume_Widget_Init1:
; i start address is: 0 (R0)
LDI.L	R1, SP, #8
ADD.L	R1, R1, #6
LDI.B	R1, R1, #0
CMP.B	R0, R1
JMPC	R30, A, #1, L_Volume_Widget_Init2
LDI.S	R1, SP, #4
ADD.L	R2, R1, #100
BEXTU.L	R2, R2, #0
MUL.L	R1, R0, #3
BEXTS.L	R1, R1, #0
ADD.L	R3, R2, R1
LDI.S	R1, SP, #6
ADD.L	R2, R1, #13
ADD.L	R1, R1, #2
STI.B	SP, #0, R0
BEXTS.L	R0, R1, #0
BEXTS.L	R1, R2, #0
BEXTS.L	R2, R3, #0
CALL	_TFT_V_Line+0
LDI.B	R0, SP, #0
ADD.L	R1, R0, #1
; i end address is: 0 (R0)
; i start address is: 16 (R4)
BEXTU.L	R4, R1, #256
BEXTU.L	R0, R4, #256
; i end address is: 16 (R4)
JMP	L_Volume_Widget_Init1
L_Volume_Widget_Init2:
L_end_Volume_Widget_Init:
UNLINK	LR
RETURN	
; end of _Volume_Widget_Init
_Write_Amp_Reg:
; reg_data start address is: 8 (R2)
; reg_addr start address is: 4 (R1)
; amp_addr start address is: 0 (R0)
; reg_data end address is: 8 (R2)
; reg_addr end address is: 4 (R1)
; amp_addr end address is: 0 (R0)
; amp_addr start address is: 0 (R0)
; reg_addr start address is: 4 (R1)
; reg_data start address is: 8 (R2)
AND.L	R4, R1, #224
BEXTU.L	R4, R4, #256
; reg_addr end address is: 4 (R1)
AND.L	R3, R2, #31
BEXTU.L	R3, R3, #256
; reg_data end address is: 8 (R2)
OR.L	R3, R4, R3
; data_write start address is: 12 (R3)
LPM.L	R28, #166665
NOP	
L_Write_Amp_Reg4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_Write_Amp_Reg4
JMP	$+8
	#166665
; amp_addr end address is: 0 (R0)
CALL	_I2CM1_Set_Slave_Address+0
BEXTU.L	R0, R3, #256
; data_write end address is: 12 (R3)
CALL	_I2CM1_Write+0
L_end_Write_Amp_Reg:
RETURN	
; end of _Write_Amp_Reg
_MCU_Init:
LDK.L	R0, #44
CALL	_GPIO_Pin_Digital_Output+0
LDK.L	R0, #45
CALL	_GPIO_Pin_Digital_Output+0
LDA.x	R0, #AlignedAddress(GPIO_PIN44_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN44_bit+0)=1
STI.x	GPIO_PIN44_bit+0, #AlignedAddress(R0)
LDA.x	R0, #AlignedAddress(GPIO_PIN45_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN45_bit+0)=1
STI.x	GPIO_PIN45_bit+0, #AlignedAddress(R0)
LPM.L	R28, #9999998
NOP	
L_MCU_Init6:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_MCU_Init6
JMP	$+8
	#9999998
NOP	
LDA.x	R0, #AlignedAddress(GPIO_PIN44_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN44_bit+0)=0
STI.x	GPIO_PIN44_bit+0, #AlignedAddress(R0)
LDA.x	R0, #AlignedAddress(GPIO_PIN45_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN45_bit+0)=0
STI.x	GPIO_PIN45_bit+0, #AlignedAddress(R0)
LPM.L	R28, #9999998
NOP	
L_MCU_Init8:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_MCU_Init8
JMP	$+8
	#9999998
NOP	
LDK.L	R0, #62
CALL	_GPIO_Pin_Digital_Input+0
LDK.L	R0, #63
CALL	_GPIO_Pin_Digital_Input+0
LDK.L	R0, #64
CALL	_GPIO_Pin_Digital_Input+0
LDK.L	R0, #66
CALL	_GPIO_Pin_Digital_Input+0
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_I2CM1_Init+0
LPM.L	R28, #26666665
NOP	
L_MCU_Init10:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_MCU_Init10
JMP	$+8
	#26666665
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
LDK.L	R0, #0
CALL	_TFT_Fill_Screen+0
L_end_MCU_Init:
RETURN	
; end of _MCU_Init
_StereoAmp_Init:
LDK.L	R2, #20
LDK.L	R1, #0
LDK.L	R0, #252
CALL	_Write_Amp_Reg+0
LDK.L	R2, #20
LDK.L	R1, #0
LDK.L	R0, #253
CALL	_Write_Amp_Reg+0
LDA.B	R0, _volume_control_L+0
BEXTU.L	R2, R0, #256
LDK.L	R1, #96
LDK.L	R0, #252
CALL	_Write_Amp_Reg+0
LDA.B	R0, _volume_control_R+0
BEXTU.L	R2, R0, #256
LDK.L	R1, #96
LDK.L	R0, #253
CALL	_Write_Amp_Reg+0
LDK.L	R2, #4
LDK.L	R1, #32
LDK.L	R0, #252
CALL	_Write_Amp_Reg+0
LDK.L	R2, #4
LDK.L	R1, #32
LDK.L	R0, #253
CALL	_Write_Amp_Reg+0
L_end_StereoAmp_Init:
RETURN	
; end of _StereoAmp_Init
_Set_Volume:
; value start address is: 4 (R1)
; amp_addr start address is: 0 (R0)
; value end address is: 4 (R1)
; amp_addr end address is: 0 (R0)
; amp_addr start address is: 0 (R0)
; value start address is: 4 (R1)
BEXTU.L	R2, R1, #256
; value end address is: 4 (R1)
LDK.L	R1, #96
; amp_addr end address is: 0 (R0)
CALL	_Write_Amp_Reg+0
L_end_Set_Volume:
RETURN	
; end of _Set_Volume
_Button_Pressed:
; state start address is: 8 (R2)
; pin start address is: 4 (R1)
; port start address is: 0 (R0)
MOVE.L	R8, R2
; state end address is: 8 (R2)
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
; port start address is: 0 (R0)
; pin start address is: 4 (R1)
; state start address is: 32 (R8)
LDK.L	R3, #1
LDK.L	R2, #1
BEXTU.L	R1, R1, #256
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
CALL	_Button+0
; new_state start address is: 0 (R0)
LDI.B	R3, R8, #0
CMP.B	R3, #255
JMPC	R30, Z, #0, L__Button_Pressed40
CMP.B	R0, #0
JMPC	R30, Z, #0, L__Button_Pressed39
L__Button_Pressed38:
STI.B	R8, #0, R0
; state end address is: 32 (R8)
; new_state end address is: 0 (R0)
LDK.L	R0, #255
JMP	L_end_Button_Pressed
L__Button_Pressed40:
; new_state start address is: 0 (R0)
; state start address is: 32 (R8)
L__Button_Pressed39:
STI.B	R8, #0, R0
; state end address is: 32 (R8)
; new_state end address is: 0 (R0)
LDK.L	R0, #0
L_end_Button_Pressed:
RETURN	
; end of _Button_Pressed
_Button_Hold:
; state start address is: 8 (R2)
; pin start address is: 4 (R1)
; port start address is: 0 (R0)
MOVE.L	R8, R2
; state end address is: 8 (R2)
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
; port start address is: 0 (R0)
; pin start address is: 4 (R1)
; state start address is: 32 (R8)
LDK.L	R3, #1
LDK.L	R2, #1
BEXTU.L	R1, R1, #256
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
CALL	_Button+0
; new_state start address is: 0 (R0)
LDI.B	R3, R8, #0
CMP.B	R3, #0
JMPC	R30, Z, #0, L__Button_Hold43
CMP.B	R0, #0
JMPC	R30, Z, #0, L__Button_Hold42
L__Button_Hold41:
STI.B	R8, #0, R0
; state end address is: 32 (R8)
; new_state end address is: 0 (R0)
LDK.L	R0, #255
JMP	L_end_Button_Hold
L__Button_Hold43:
; new_state start address is: 0 (R0)
; state start address is: 32 (R8)
L__Button_Hold42:
STI.B	R8, #0, R0
; state end address is: 32 (R8)
; new_state end address is: 0 (R0)
LDK.L	R0, #0
L_end_Button_Hold:
RETURN	
; end of _Button_Hold
_Volume_Widget_Update:
LINK	LR, #16
STI.L	SP, #4, R0
STI.B	SP, #8, R1
STI.B	SP, #12, R2
LDI.L	R4, SP, #4
ADD.L	R3, R4, #2
LDI.S	R3, R3, #0
STI.S	SP, #0, R3
ADD.L	R3, R4, #4
LDI.S	R3, R3, #0
STI.S	SP, #2, R3
ADD.L	R3, R4, #6
LDI.B	R4, R3, #0
LDI.B	R3, SP, #8
CMP.B	R3, R4
JMPC	R30, Z, #1, L_Volume_Widget_Update18
LDI.S	R3, SP, #0
ADD.L	R5, R3, #28
LDI.L	R3, SP, #4
ADD.L	R3, R3, #6
LDI.B	R3, R3, #0
ASHL.L	R4, R3, #2
LDK.L	R3, #_gain_text+0
ADD.L	R3, R3, R4
LDI.L	R3, R3, #0
LDI.B	R2, SP, #2
BEXTU.L	R1, R5, #256
MOVE.L	R0, R3
CALL	_Erase_Text+0
LDI.L	R3, SP, #4
ADD.L	R3, R3, #6
LDI.B	R4, R3, #0
LDI.B	R3, SP, #8
CMP.B	R3, R4
JMPC	R30, C, #0, L_Volume_Widget_Update19
LDK.L	R1, #2
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDI.S	R3, SP, #0
ADD.L	R4, R3, #100
BEXTU.L	R4, R4, #0
LDI.L	R3, SP, #4
ADD.L	R3, R3, #6
LDI.B	R3, R3, #0
MUL.L	R3, R3, #3
BEXTS.L	R3, R3, #0
ADD.L	R5, R4, R3
LDI.S	R3, SP, #2
ADD.L	R4, R3, #13
ADD.L	R3, R3, #2
BEXTS.L	R2, R5, #0
BEXTS.L	R1, R4, #0
BEXTS.L	R0, R3, #0
CALL	_TFT_V_Line+0
L_Volume_Widget_Update19:
LDI.L	R3, SP, #4
ADD.L	R3, R3, #6
LDI.B	R4, R3, #0
LDI.B	R3, SP, #8
CMP.B	R3, R4
JMPC	R30, A, #0, L_Volume_Widget_Update20
LDK.L	R1, #2
LDK.L	R0, #33808
CALL	_TFT_Set_Pen+0
LDI.S	R3, SP, #0
ADD.L	R4, R3, #100
BEXTU.L	R4, R4, #0
LDI.B	R3, SP, #8
MUL.L	R3, R3, #3
BEXTS.L	R3, R3, #0
ADD.L	R5, R4, R3
LDI.S	R3, SP, #2
ADD.L	R4, R3, #13
ADD.L	R3, R3, #2
BEXTS.L	R2, R5, #0
BEXTS.L	R1, R4, #0
BEXTS.L	R0, R3, #0
CALL	_TFT_V_Line+0
L_Volume_Widget_Update20:
LDI.L	R3, SP, #4
ADD.L	R4, R3, #6
LDI.B	R3, SP, #8
STI.B	R4, #0, R3
LDI.S	R3, SP, #0
ADD.L	R5, R3, #28
LDI.L	R3, SP, #4
ADD.L	R3, R3, #6
LDI.B	R3, R3, #0
ASHL.L	R4, R3, #2
LDK.L	R3, #_gain_text+0
ADD.L	R3, R3, R4
LDI.L	R3, R3, #0
LDI.B	R2, SP, #2
BEXTU.L	R1, R5, #256
MOVE.L	R0, R3
CALL	_Write_Text+0
L_Volume_Widget_Update18:
LDI.L	R3, SP, #4
LDI.B	R4, R3, #0
LDI.B	R3, SP, #12
CMP.B	R4, R3
JMPC	R30, Z, #1, L_Volume_Widget_Update21
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDI.B	R3, SP, #12
CMP.B	R3, #0
JMPC	R30, Z, #1, L_Volume_Widget_Update22
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #33808
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
JMP	L_Volume_Widget_Update23
L_Volume_Widget_Update22:
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
L_Volume_Widget_Update23:
LDI.S	R4, SP, #2
ADD.L	R6, R4, #10
LDI.S	R3, SP, #0
ADD.L	R5, R3, #10
ADD.L	R4, R4, #5
ADD.L	R3, R3, #5
BEXTS.L	R2, R5, #0
BEXTS.L	R1, R4, #0
BEXTS.L	R0, R3, #0
BEXTS.L	R3, R6, #0
CALL	_TFT_Rectangle+0
LDI.B	R4, SP, #12
LDI.L	R3, SP, #4
STI.B	R3, #0, R4
L_Volume_Widget_Update21:
L_end_Volume_Widget_Update:
UNLINK	LR
RETURN	
; end of _Volume_Widget_Update
_Clamp:
; max start address is: 8 (R2)
; min start address is: 4 (R1)
; value start address is: 0 (R0)
; max end address is: 8 (R2)
; min end address is: 4 (R1)
; value end address is: 0 (R0)
; value start address is: 0 (R0)
; min start address is: 4 (R1)
; max start address is: 8 (R2)
CMP.S	R0, R1
JMPC	R30, GTE, #1, L_Clamp24
; value end address is: 0 (R0)
; max end address is: 8 (R2)
BEXTU.L	R0, R1, #256
; min end address is: 4 (R1)
JMP	L_end_Clamp
L_Clamp24:
; max start address is: 8 (R2)
; value start address is: 0 (R0)
CMP.S	R0, R2
JMPC	R30, GT, #0, L_Clamp25
; value end address is: 0 (R0)
BEXTU.L	R0, R2, #256
; max end address is: 8 (R2)
JMP	L_end_Clamp
L_Clamp25:
; value start address is: 0 (R0)
BEXTU.L	R0, R0, #256
; value end address is: 0 (R0)
L_end_Clamp:
RETURN	
; end of _Clamp
_main:
LDK.L	SP, #43605
CALL	_MCU_Init+0
LDK.L	R0, #?lstr33_StereoAmp_click_FT90+0
LDK.L	R2, #20
LDK.L	R1, #10
CALL	_Write_Text+0
CALL	_StereoAmp_Init+0
LDK.L	R0, #?lstr34_StereoAmp_click_FT90+0
LDK.L	R2, #20
LDK.L	R1, #10
CALL	_Erase_Text+0
LDK.L	R0, #?lstr35_StereoAmp_click_FT90+0
LDK.L	R2, #20
LDK.L	R1, #10
CALL	_Write_Text+0
LDK.L	R0, #?lstr36_StereoAmp_click_FT90+0
LDK.L	R2, #120
LDK.L	R1, #10
CALL	_Write_Text+0
LDK.L	R0, #255
STA.B	_volume_widget_L+0, R0
LDK.L	R0, #82
STA.B	_volume_widget_L+1, R0
LDK.L	R1, #10
STA.S	_volume_widget_L+2, R1
LDK.L	R0, #50
STA.S	_volume_widget_L+4, R0
LDA.B	R0, _volume_control_L+0
STA.B	_volume_widget_L+6, R0
LDK.L	R0, #0
STA.B	_volume_widget_R+0, R0
LDK.L	R0, #76
STA.B	_volume_widget_R+1, R0
STA.S	_volume_widget_R+2, R1
LDK.L	R0, #75
STA.S	_volume_widget_R+4, R0
LDA.B	R0, _volume_control_R+0
STA.B	_volume_widget_R+6, R0
LDK.L	R0, #_volume_widget_L+0
CALL	_Volume_Widget_Init+0
LDK.L	R0, #_volume_widget_R+0
CALL	_Volume_Widget_Init+0
L_main26:
LDK.L	R2, #_buttonstate_right+0
LDK.L	R1, #7
LDK.L	R0, #GPIO_PORT_56_63+0
CALL	_Button_Hold+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main28
LDA.B	R0, _active_left_control+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main29
LDA.B	R0, _volume_control_L+0
ADD.L	R0, R0, #1
BEXTS.L	R0, R0, #0
LDK.L	R2, #31
LDK.L	R1, #0
CALL	_Clamp+0
STA.B	_volume_control_L+0, R0
BEXTU.L	R1, R0, #256
LDK.L	R0, #252
CALL	_Set_Volume+0
JMP	L_main30
L_main29:
LDA.B	R0, _volume_control_R+0
ADD.L	R0, R0, #1
BEXTS.L	R0, R0, #0
LDK.L	R2, #31
LDK.L	R1, #0
CALL	_Clamp+0
STA.B	_volume_control_R+0, R0
BEXTU.L	R1, R0, #256
LDK.L	R0, #253
CALL	_Set_Volume+0
L_main30:
L_main28:
LDK.L	R2, #_buttonstate_left+0
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_64_66+0
CALL	_Button_Hold+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main31
LDA.B	R0, _active_left_control+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main32
LDA.B	R0, _volume_control_L+0
SUB.L	R0, R0, #1
BEXTS.L	R0, R0, #0
LDK.L	R2, #31
LDK.L	R1, #0
CALL	_Clamp+0
STA.B	_volume_control_L+0, R0
BEXTU.L	R1, R0, #256
LDK.L	R0, #252
CALL	_Set_Volume+0
JMP	L_main33
L_main32:
LDA.B	R0, _volume_control_R+0
SUB.L	R0, R0, #1
BEXTS.L	R0, R0, #0
LDK.L	R2, #31
LDK.L	R1, #0
CALL	_Clamp+0
STA.B	_volume_control_R+0, R0
BEXTU.L	R1, R0, #256
LDK.L	R0, #253
CALL	_Set_Volume+0
L_main33:
L_main31:
LDK.L	R2, #_buttonstate_up+0
LDK.L	R1, #0
LDK.L	R0, #GPIO_PORT_64_66+0
CALL	_Button_Pressed+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main34
LDK.L	R0, #255
STA.B	_active_left_control+0, R0
L_main34:
LDK.L	R2, #_buttonstate_down+0
LDK.L	R1, #6
LDK.L	R0, #GPIO_PORT_56_63+0
CALL	_Button_Pressed+0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main35
LDK.L	R0, #0
STA.B	_active_left_control+0, R0
L_main35:
LDA.B	R1, _active_left_control+0
LDA.B	R0, _volume_control_L+0
BEXTU.L	R2, R1, #256
BEXTU.L	R1, R0, #256
LDK.L	R0, #_volume_widget_L+0
CALL	_Volume_Widget_Update+0
LDA.B	R0, _active_left_control+0
XOR.L	R1, R0, #-1
LDA.B	R0, _volume_control_R+0
BEXTU.L	R2, R1, #256
BEXTU.L	R1, R0, #256
LDK.L	R0, #_volume_widget_R+0
CALL	_Volume_Widget_Update+0
LPM.L	R28, #1666665
NOP	
L_main36:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main36
JMP	$+8
	#1666665
JMP	L_main26
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
